TAAS - Feature #211

Set Recurring Documents
06/27/2023 08:51 PM - Junaid M

Status: Reopen Bugs Testing Done Start date: 06/27/2023
Priority: Normal Due date:

Assignee: Amal Ck % Done: 90%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By:

Time Taken(HH): Code Reviewed By:

Module: Recurring Documents

Description

Coding Recurring Documents

History

#1 - 08/01/2024 11:52 AM - Anil KV
Dublicate work #313

#2 - 08/01/2024 12:16 PM - Anil KV
GUI Change

-> 'Share Recurring Documents List' to 'Each Recurring Documents'
—>Re set second DIV

Remarks - | Liked Documents -
| Security Document Type - (Inputbox)
| Security Document No - (Inputbox)

| Security Expir - (Datepicker)
-> List Column
-Document Date, Document Remarks, Document Referance, Amount, Cancel (checkbox, allowed Status != Created), Ca
ncel Reason, Created Document (Click the document then view the document edit mode), Created User, Created Time
, Delete icon(allowed Status != Created)
—> Grid Editable - Document Date, Document Remarks, Document Referance, Cancel, Cancel Reason
—> No Created Document then allowed to Delete

Table:-

recurringdoc.tbl_recurring_doc_master
recurringdoc.tbl_recurring_doc_details

#3 - 08/01/2024 02:23 PM - Anil KV
- Status changed from New to Ready for Coding
- % Done changed from 0 to 20

#4 - 08/19/2024 02:54 PM - Junaid M

- Assignee changed from travvise Admin to Augustin Jose

#5 - 08/22/2024 12:08 PM - Anonymous

- Assignee changed from Augustin Jose to Bertin Joseph

#6 - 08/26/2024 02:31 PM - Anil KV

- Subject changed from Recurring Documents to Set Recurring Documents

#7 - 09/06/2024 03:06 PM - Bertin Joseph
- Status changed from Ready for Coding to Coding Started
- % Done changed from 20 to 30
http://103.145.37.7:82/redmine/issues/313

#8 - 10/15/2024 11:56 AM - Anil KV
- Assignee changed from Bertin Joseph to Amal Ck

#9 - 10/19/2024 01:19 PM - Amal Ck
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60

#10 - 11/30/2024 06:42 PM - Arathy PS
- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND

1. Date format in document search pop up is wrong.

2. search button changing to reset button and disablilng the search input field.
3. Error while entering decimal (.) in the amount range field. (issue in all deciamal field)
4. Not showing document (receipts) with two parties while searching with secnd party.(bug in document search)

#11 - 11/30/2024 07:23 PM - Amal Ck
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#12 - 12/17/2024 03:25 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

#13 - 12/17/2024 04:25 PM - Theja Ponon
- File clipboard-202412171625-iku0i.png added

#14 - 12/18/2024 10:49 AM - Theja Ponon
- File clipboard-202412181048-nbk6y.png added

ISSUE FOUND

1)possible to add multiple recurring in a single period

# Date Document No | Currency Amount = Remark
1 20/12/2024 QAR 1000.00
2 21/12/2024 RV/007 QAR 1000.00
2040172025 RV/007 QAR 1000.00
4 21/01/2025 RV/007 QAR 1000.00
5 20/02/2025 RV/007 QAR 000.00
6 QAR 1000.00
T QAR 000.00
8 21/03/2025 RV/007 QAR 1000.00
20/04/2025 RV/007 QAR 1000.00
10 21/04/2025 RV/007 QAR 1000.00

2)RECEIPT CREATED FROM RECEIPT PLUS IS NOT LOADING

3)month end date is not correct(issue generate Random C# date building issue)
Set Recurring Documents

Document No* | Rvy002 Q Recurring Start Date* | @ | 01/02/2025 [ ]
Q oK
Date:  16/12/2024 Amount:  200.00 QAR No Of Recurring* I N
o Dotaments + add T a =2 [

# Date Narration Reference Amount  Status Cancel Cancel Reason Created Document Created User Created Time

1 30/12/2024 200,00 Pending P

2 30/01/2025 200.00 Pending P |

_EMZCIES 200,00 Cancelled v v i

4 27/02/2025 20000 Pending P |

5 | 30/03/2025 20000 Cancelled v |

6 30/03/2025 200,00 Pending V i

T | 29/04/2025 20000 Pending |

8 | 29/04/2025 20000  Cancelled v P |
#15 - 12/18/2024 12:24 PM - Amal Ck
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70
#16 - 12/20/2024 01:00 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done
- % Done changed from 70 to 90
Files
clipboard-202412171625-iku0i.png 122 KB 12/17/2024 Theja Ponon
clipboard-202412181048-nbk6y.png 47.1 KB 12/18/2024 Theja Ponon
